Debian Bug report logs - #522481
toResponse crashes the program if the response ID is 0 or less than -11.

version graph

Package: gtk2hs; Maintainer for gtk2hs is (unknown);

Reported by: Daniel Burrows <dburrows@debian.org>

Date: Sat, 4 Apr 2009 03:57:02 UTC

Severity: normal

Found in version 0.10.0-2

Fixed in version gtk2hs/0.10.1-1

Done: Marco Túlio Gontijo e Silva <marcot@holoscopio.com>

Bug is archived. No further changes may be made.

Forwarded to http://hackage.haskell.org/trac/gtk2hs/ticket/1162

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Marco Túlio Gontijo e Silva <marcot@holoscopio.com>:
Bug#522481; Package gtk2hs. (Sat, 04 Apr 2009 03:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
New Bug report received and forwarded. Copy sent to Marco Túlio Gontijo e Silva <marcot@holoscopio.com>. (Sat, 04 Apr 2009 03:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: toResponse crashes the program if the response ID is 0 or less than -11.
Date: Fri, 3 Apr 2009 20:55:22 -0700
Package: gtk2hs
Version: 0.10.0-2
Severity: normal

The code for toResponse reads as follows:

toResponse :: Integral a => a -> ResponseId
toResponse (-1) = ResponseNone
toResponse (-2) = ResponseReject
toResponse (-3) = ResponseAccept
toResponse (-4) = ResponseDeleteEvent
toResponse (-5) = ResponseOk
toResponse (-6) = ResponseCancel
toResponse (-7) = ResponseClose
toResponse (-8) = ResponseYes
toResponse (-9) = ResponseNo
toResponse (-10) = ResponseApply
toResponse (-11) = ResponseHelp
toResponse i | i > 0  = ResponseUser $ fromIntegral i

  If the repsonse ID is equal to zero or less than -11, this causes a
match failure and aborts the program.  This happens, for instance, if
you try to catch a response signal using afterResponse on a dialog that
contains a button created with Glade whose response ID hasn't been set
(the default is 0).

  Daniel

-- System Information:
Debian Release: 5.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#522481; Package gtk2hs. (Tue, 07 Apr 2009 13:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco Túlio Gontijo e Silva <marcot@holoscopio.com>:
Extra info received and forwarded to list. (Tue, 07 Apr 2009 13:21:03 GMT) Full text and rfc822 format available.

Message #10 received at 522481@bugs.debian.org (full text, mbox):

From: Marco Túlio Gontijo e Silva <marcot@holoscopio.com>
To: Daniel Burrows <dburrows@debian.org>, 522481@bugs.debian.org
Subject: Re: Bug#522481: toResponse crashes the program if the response ID is 0 or less than -11.
Date: Tue, 07 Apr 2009 10:17:43 -0300
This bug was reported in the Gtk2hs trac:
http://hackage.haskell.org/trac/gtk2hs/ticket/1162 .

Thanks for reporting.
-- 
marcot
http://marcot.iaaeee.org/






Noted your statement that Bug has been forwarded to http://hackage.haskell.org/trac/gtk2hs/ticket/1162. Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Tue, 07 Apr 2009 15:12:04 GMT) Full text and rfc822 format available.

Reply sent to Marco Túlio Gontijo e Silva <marcot@holoscopio.com>:
You have taken responsibility. (Tue, 02 Jun 2009 16:18:06 GMT) Full text and rfc822 format available.

Notification sent to Daniel Burrows <dburrows@debian.org>:
Bug acknowledged by developer. (Tue, 02 Jun 2009 16:18:06 GMT) Full text and rfc822 format available.

Message #17 received at 522481-close@bugs.debian.org (full text, mbox):

From: Marco Túlio Gontijo e Silva <marcot@holoscopio.com>
To: 522481-close@bugs.debian.org
Subject: Bug#522481: fixed in gtk2hs 0.10.1-1
Date: Tue, 02 Jun 2009 15:37:30 +0000
Source: gtk2hs
Source-Version: 0.10.1-1

We believe that the bug you reported is fixed in the latest version of
gtk2hs, which is due to be installed in the Debian FTP archive:

gtk2hs-doc_0.10.1-1_all.deb
  to pool/main/g/gtk2hs/gtk2hs-doc_0.10.1-1_all.deb
gtk2hs_0.10.1-1.diff.gz
  to pool/main/g/gtk2hs/gtk2hs_0.10.1-1.diff.gz
gtk2hs_0.10.1-1.dsc
  to pool/main/g/gtk2hs/gtk2hs_0.10.1-1.dsc
gtk2hs_0.10.1.orig.tar.gz
  to pool/main/g/gtk2hs/gtk2hs_0.10.1.orig.tar.gz
libghc6-cairo-dev_0.10.1-1_amd64.deb
  to pool/main/g/gtk2hs/libghc6-cairo-dev_0.10.1-1_amd64.deb
libghc6-gconf-dev_0.10.1-1_amd64.deb
  to pool/main/g/gtk2hs/libghc6-gconf-dev_0.10.1-1_amd64.deb
libghc6-gio-dev_0.10.1-1_amd64.deb
  to pool/main/g/gtk2hs/libghc6-gio-dev_0.10.1-1_amd64.deb
libghc6-glade-dev_0.10.1-1_amd64.deb
  to pool/main/g/gtk2hs/libghc6-glade-dev_0.10.1-1_amd64.deb
libghc6-glib-dev_0.10.1-1_amd64.deb
  to pool/main/g/gtk2hs/libghc6-glib-dev_0.10.1-1_amd64.deb
libghc6-gnomevfs-dev_0.10.1-1_amd64.deb
  to pool/main/g/gtk2hs/libghc6-gnomevfs-dev_0.10.1-1_amd64.deb
libghc6-gstreamer-dev_0.10.1-1_amd64.deb
  to pool/main/g/gtk2hs/libghc6-gstreamer-dev_0.10.1-1_amd64.deb
libghc6-gtk-dev_0.10.1-1_amd64.deb
  to pool/main/g/gtk2hs/libghc6-gtk-dev_0.10.1-1_amd64.deb
libghc6-gtkglext-dev_0.10.1-1_amd64.deb
  to pool/main/g/gtk2hs/libghc6-gtkglext-dev_0.10.1-1_amd64.deb
libghc6-gtksourceview2-dev_0.10.1-1_amd64.deb
  to pool/main/g/gtk2hs/libghc6-gtksourceview2-dev_0.10.1-1_amd64.deb
libghc6-soegtk-dev_0.10.1-1_amd64.deb
  to pool/main/g/gtk2hs/libghc6-soegtk-dev_0.10.1-1_amd64.deb
libghc6-svgcairo-dev_0.10.1-1_amd64.deb
  to pool/main/g/gtk2hs/libghc6-svgcairo-dev_0.10.1-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 522481@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marco Túlio Gontijo e Silva <marcot@holoscopio.com> (supplier of updated gtk2hs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 04 May 2009 10:53:23 -0300
Source: gtk2hs
Binary: libghc6-glib-dev libghc6-cairo-dev libghc6-gconf-dev libghc6-gio-dev libghc6-gnomevfs-dev libghc6-gstreamer-dev libghc6-gtk-dev libghc6-svgcairo-dev libghc6-glade-dev libghc6-gtkglext-dev libghc6-gtksourceview2-dev libghc6-soegtk-dev gtk2hs-doc
Architecture: source all amd64
Version: 0.10.1-1
Distribution: unstable
Urgency: low
Maintainer: Marco Túlio Gontijo e Silva <marcot@holoscopio.com>
Changed-By: Marco Túlio Gontijo e Silva <marcot@holoscopio.com>
Description: 
 gtk2hs-doc - A GUI library for Haskell (Gtk2Hs) -- documentation and examples
 libghc6-cairo-dev - A GUI library for Haskell (Gtk2Hs) -- Cairo bindings
 libghc6-gconf-dev - A GUI library for Haskell (Gtk2Hs) -- GConf bindings
 libghc6-gio-dev - A GUI library for Haskell (Gtk2Hs) -- GIO bindings
 libghc6-glade-dev - A GUI library for Haskell (Gtk2Hs) -- libglade bindings
 libghc6-glib-dev - A GUI library for Haskell (Gtk2Hs) -- GLib bindings
 libghc6-gnomevfs-dev - A GUI library for Haskell (Gtk2Hs) -- GNOME VFS bindings
 libghc6-gstreamer-dev - A GUI library for Haskell (Gtk2Hs) -- GStreamer bindings
 libghc6-gtk-dev - A GUI library for Haskell (Gtk2Hs) -- GTK+ bindings
 libghc6-gtkglext-dev - A GUI library for Haskell (Gtk2Hs) -- gtkglext bindings
 libghc6-gtksourceview2-dev - A GUI library for Haskell (Gtk2Hs) -- GtkSourceView2 bindings
 libghc6-soegtk-dev - A GUI library for Haskell (Gtk2Hs) -- soegtk bindings
 libghc6-svgcairo-dev - A GUI library for Haskell (Gtk2Hs) -- GTK+ bindings
Closes: 522481
Changes: 
 gtk2hs (0.10.1-1) unstable; urgency=low
 .
   * Removes restriction of reponse values.  Closes: #522481.
   * New upstream version.
   * Use maintainer scripts similar to the scripts from
     haskell-devscripts.
   * Use set -e instead of #!/bin/sh -e in maintainer scripts.
   * Use correct DEB_HADDOCK_DIR.
   * Use dh_haskell_shlibdeps.
   * debian/rules:
     - Use stamp for .PHONY targets.
     - Use variable instead of target for pkgmeta.
     - Use := only when it makes sense.
     - Support for parallel in DEB_BUILD_OPTIONS, conforming to Debian
       Policy 4.9.1.
     - Configure ghc flags in DEB_BUILD_OPTIONS noopt.
     - Don't use unexisting parameter to configure --with-c2hs=no.
   * debian/control:
     - Include correct dependencies for libghc6-gio-dev and
       libghc6-gtksourceview2-dev.
     - Correct wrong Suggests: field from libghc6-gio-dev and
       libghc6-gtksourceview2-dev, from libghc6-gtk2hs-doc to gtk2hs-doc.
     - Recommend ghc6-doc, and libghc6-mtl-doc, and suggest -dev packages.
     - Update very outdated description for gtk2hs-doc.
     - Use new Standards-Version: 3.8.1.
     - Use Section: haskell.
     - Include DM-Upload-Allowed: yes.
     - Update versioned dependencies.
   * debian/copyright:
     - Change packaging license.
     - Refer to (L)GPL-2 instead of (L)GPL.
Checksums-Sha1: 
 96e0f0715cc94f7e965a2f0a3041d6a8daae763a 1736 gtk2hs_0.10.1-1.dsc
 808d8c80026b82dc2b1347055efba82f8847c424 1451125 gtk2hs_0.10.1.orig.tar.gz
 eae9ec73b04759b8ac1efe6dd65277cdec7cfa89 12576 gtk2hs_0.10.1-1.diff.gz
 ed9fb64c75e51b3f4b8fe2b785e8a0a9b0ec192c 1933566 gtk2hs-doc_0.10.1-1_all.deb
 470f8caafc5e92688e8264971c4a32c71576b45a 385158 libghc6-glib-dev_0.10.1-1_amd64.deb
 fb6e27be6f3c3b03f45532ed30dfc6e5267b3ceb 621872 libghc6-cairo-dev_0.10.1-1_amd64.deb
 b8208ee1696cb69e72434c2aeb8180fcab393ccb 210310 libghc6-gconf-dev_0.10.1-1_amd64.deb
 176f9cab74fd569273e1ca5ae4d6eb43eb293467 446432 libghc6-gio-dev_0.10.1-1_amd64.deb
 0b637278163461f20a5751b762caba5622e6e0c4 754262 libghc6-gnomevfs-dev_0.10.1-1_amd64.deb
 33ebf26120d11a6af71be52044d733d2c4dd71ee 1537460 libghc6-gstreamer-dev_0.10.1-1_amd64.deb
 765d66d4ca91db86eeb1272cb423ad90010e5e2b 5548074 libghc6-gtk-dev_0.10.1-1_amd64.deb
 79f6ffee711938a14c37e647ba50e919b1c0e893 105438 libghc6-svgcairo-dev_0.10.1-1_amd64.deb
 7a5160d88bfba56a2006f1bd01c5eb27a32a0278 111062 libghc6-glade-dev_0.10.1-1_amd64.deb
 2ee6de093f29f92b95e153455305558cf78e8416 195574 libghc6-gtkglext-dev_0.10.1-1_amd64.deb
 86023dbc427fd9c2192e145d8b51de7c1c0630af 297216 libghc6-gtksourceview2-dev_0.10.1-1_amd64.deb
 e1b8840bacee443328e49cc83ea1e552ac020ff8 228174 libghc6-soegtk-dev_0.10.1-1_amd64.deb
Checksums-Sha256: 
 c58de32ff5e9606a978289d731ae130912285dad600734fc48a985c3d3258575 1736 gtk2hs_0.10.1-1.dsc
 07cc98520ce6c9e0d2549fd8fd23fc5118148b7509843b0163340713a762d0c0 1451125 gtk2hs_0.10.1.orig.tar.gz
 78e4b3c3a9f3aa4477bd166b4fa460cf374455949b7f34c6d48f99bb55122124 12576 gtk2hs_0.10.1-1.diff.gz
 3adbef3c7ece690544a243ab00216f9a1b5af7c7abad6a8441b079883e44a4c1 1933566 gtk2hs-doc_0.10.1-1_all.deb
 3a05f96a01ca02552f10862027f790b8a4286dacac827803a76024dc0f33ce6c 385158 libghc6-glib-dev_0.10.1-1_amd64.deb
 dc668c5721c6ec9fe8fc55ca31fdeb5baa48e9ce01301e6daa059f23c40226d9 621872 libghc6-cairo-dev_0.10.1-1_amd64.deb
 08b54fd4b2b9fdeba19354274541a5a37e5d8864befc402d1a38a4fc823a7ac6 210310 libghc6-gconf-dev_0.10.1-1_amd64.deb
 d990853c47ac252ed87e50e70e7609a9fd520034b0876b645bd2ae11c62499d3 446432 libghc6-gio-dev_0.10.1-1_amd64.deb
 3e99d55a4e77c0b735e0fd584a327f083d7773d4281a985bda15b6ff855b00f2 754262 libghc6-gnomevfs-dev_0.10.1-1_amd64.deb
 f0eb30dde3181b322d537cbb863a699dd4339109ec5bc27059c890400da98fd6 1537460 libghc6-gstreamer-dev_0.10.1-1_amd64.deb
 a586df8f67a5a93b4ca83f183fb01eb35aad0d0c4ba2f8702edff762652f8904 5548074 libghc6-gtk-dev_0.10.1-1_amd64.deb
 e9f3b2d83d0b040b49b445fd1452c6f5ede82cabea7844c5fc09a625ea44534b 105438 libghc6-svgcairo-dev_0.10.1-1_amd64.deb
 1f22f4a9eca137426bdf7c50a87ffea11e0afacefdd2a5b9fb115938dc0a4538 111062 libghc6-glade-dev_0.10.1-1_amd64.deb
 96a01d5f9abd1578b68add8d28dbbb96b70766d7ef8bb06dc6e2fd0b70dc77b3 195574 libghc6-gtkglext-dev_0.10.1-1_amd64.deb
 d41cb47437d49651288774a28bd262d1cdf1cc88a4f76f216ee0a5091b7fd3f9 297216 libghc6-gtksourceview2-dev_0.10.1-1_amd64.deb
 65f69a6c38bb5ea49da9dcf51ba644e144b954bf3bfa91afd7c683d170b30d1c 228174 libghc6-soegtk-dev_0.10.1-1_amd64.deb
Files: 
 a1b2b3a146606290c435e4fb161f9d83 1736 haskell optional gtk2hs_0.10.1-1.dsc
 76774b092d4d584bb0a03ded3756d394 1451125 haskell optional gtk2hs_0.10.1.orig.tar.gz
 d133875ad24d290ec16a62b8b650e7c9 12576 haskell optional gtk2hs_0.10.1-1.diff.gz
 be4a200292ec0b9de91cf208619e565b 1933566 doc optional gtk2hs-doc_0.10.1-1_all.deb
 1a54001ddf01b63603b87ad6c79b561a 385158 haskell optional libghc6-glib-dev_0.10.1-1_amd64.deb
 1490cfec7eff8af138d2b4d24091f33d 621872 haskell optional libghc6-cairo-dev_0.10.1-1_amd64.deb
 1da0f15432ed1863a69f48850cc1d25b 210310 haskell optional libghc6-gconf-dev_0.10.1-1_amd64.deb
 fa5fea96c56ad4452a4078ed1219ccc6 446432 haskell optional libghc6-gio-dev_0.10.1-1_amd64.deb
 7948abe5b7ae87e526f4439cde684837 754262 haskell optional libghc6-gnomevfs-dev_0.10.1-1_amd64.deb
 3a90cf2a95e2b5485688adf52cbd00c1 1537460 haskell optional libghc6-gstreamer-dev_0.10.1-1_amd64.deb
 b4b31057ca9102b3f80459e5ff1966c8 5548074 haskell optional libghc6-gtk-dev_0.10.1-1_amd64.deb
 b9c222b3539f4e8f71db06334e14939d 105438 haskell optional libghc6-svgcairo-dev_0.10.1-1_amd64.deb
 70200a1c985aef48146254796e0ca5e5 111062 haskell optional libghc6-glade-dev_0.10.1-1_amd64.deb
 2a55a7a5cbd286f35277bea66276f9cb 195574 haskell optional libghc6-gtkglext-dev_0.10.1-1_amd64.deb
 86c2b5553e35059141f0437ffdc03f75 297216 haskell optional libghc6-gtksourceview2-dev_0.10.1-1_amd64.deb
 ac5be11a5f45c05b7fdf9153c477f486 228174 haskell optional libghc6-soegtk-dev_0.10.1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkolOtcACgkQ9ijrk0dDIGw7QACfTyxqsn77JktX42LQdGBIJ2/9
QF8AoIYCB7bl+k4RMem0R9dkDs37T/Ib
=E91m
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 01 Jul 2009 07:37:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 05:35:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.